#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-H3nYFh5DTN8984OzFX8pra-dns-internal
key:                  dns-4.1.0-H3nYFh5DTN8984OzFX8pra-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  484d5e976a3d5a8a684b27130bdb1f9b
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-H3nYFh5DTN8984OzFX8pra-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-ATB7JjANwlUFgDk5OYrRsK
    attoparsec-0.14.4-GhMnXaNK1nKApJRa5QjPkh
    auto-update-0.1.6-80fwhe6mjVVN5jyexJlRz base-4.15.1.0
    base16-bytestring-1.0.2.0-7igqpzOhLEiws2biEMAy9
    base64-bytestring-1.2.1.0-O8IWrcmg00C3F0p115FhQ
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-2OjT4JgDX0lBo4xXOx2bJa
    hourglass-0.2.12-E6bAplVsLDq5Fdq2aI6Kzg
    iproute-1.7.12-ENU2LoIiiGG1E1qeJNpMwy mtl-2.2.2
    network-3.1.3.0-IxZPNYPUmWN2rsUdI57YrX
    psqueues-0.2.7.3-FzBerU6KxYS5hnT6rYg7ic

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-L1OCdlePxcg1p0JQdXU9B6
key:                  dns-4.1.0-L1OCdlePxcg1p0JQdXU9B6
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  58f40617a7b79e81e59e4246c6c43a60
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-L1OCdlePxcg1p0JQdXU9B6
depends:
    array-0.5.4.0 async-2.2.4-ATB7JjANwlUFgDk5OYrRsK
    attoparsec-0.14.4-GhMnXaNK1nKApJRa5QjPkh
    auto-update-0.1.6-80fwhe6mjVVN5jyexJlRz base-4.15.1.0
    base16-bytestring-1.0.2.0-7igqpzOhLEiws2biEMAy9
    base64-bytestring-1.2.1.0-O8IWrcmg00C3F0p115FhQ
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-2OjT4JgDX0lBo4xXOx2bJa
    dns-4.1.0-H3nYFh5DTN8984OzFX8pra-dns-internal
    hourglass-0.2.12-E6bAplVsLDq5Fdq2aI6Kzg
    iproute-1.7.12-ENU2LoIiiGG1E1qeJNpMwy mtl-2.2.2
    network-3.1.3.0-IxZPNYPUmWN2rsUdI57YrX
    psqueues-0.2.7.3-FzBerU6KxYS5hnT6rYg7ic

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

